{% extends "layout.twig" %}

{% block body %}
<h1 class="text-center">Edit your Article !</h1>
{# {% if errorFromArticle %}
<p class="text-danger">Please fix the following errors.</p>
<ul class="errors">
    {% for error in errorFromArticle %}
        {% if error.name %}<li>{{ error.name.message }}</li>{% endif %}
        {% if error.category %}<li>{{ error.category.message }}</li>{% endif %}
        {% if error.content %}<li>{{ error.content.message }}</li>{% endif %}
        {% if error.image %}<li>{{ error.image.message }}</li>{% endif %}
            
    {% endfor %}
</ul>

{% endif %} #}


<form action = "" method="POST" enctype="multipart/form-data">
    <div class="form-group">
        <label for="">Title : </label>
        <input type= "text" name="name" value="{{ article.name }}" class= "form-control">
    </div>

    <div class="form-group">
        <label for="">Category : </label>
        <select name="category" id="category" class= "form-control"> 
        <option value="">Choice your article Category</option>
        {% if categories %}
            {% for category in categories %}
                {% if category.title is same as (article.category) %}
                    <option value ="{{category.title}}" selected>{{category.title}}</option>
                {% else %}
                     <option value ="{{category.title}}">{{category.title}}</option>
                {% endif %}
            {% endfor %} 
        {% endif %}
        
           
        </select>
    </div>

    <div class="form-group">
        <label for="">content : </label>
        <textarea name="content" id="content" class="form-control" cols="30" rows="10">
        {{ article.content | raw }}
        </textarea>
    </div>

    <div class="form-group">
        <label for="">Image : </label>
        <input type= "file" name="image" class= "form-control">
    </div>
    <button class="btn btn-success mt-3">Edit Article</button>
</form>



{% endblock %}
{% block javascript %}
<script src="https://cdn.ckeditor.com/ckeditor5/33.0.0/classic/ckeditor.js"></script>
<script>
    ClassicEditor
        .create( document.querySelector( '#content' ) )
        .catch( error => {
            console.error( error );
        } );
</script>

{% endblock %}